new Vue({
  	el: '#app',
	data:{
	  	queryData:{},
//	  	options: [],
//	  	options_type:[{way_key:'1',value_type:'门诊'},{way_key:'22',value_type:'家庭(全科)'},{way_key:'3',value_type:'电话'}],
//	  	options_class:[{way_class:'1',value_class:'高血压'},{way_key:'2',value_class:'糖尿病'},{way_key:'1,2',value_class:'高血压、糖尿病'}],
//	  	options_statue:[]
	},
  	methods:{
  		saveButton:function(){
  			
  		}
  	},
	mounted: function(){
		var vm = this
	  	var Request = GetRequest();
	  	recordAPI.getFollowup({id:Request["id"]}).then(function(res){
			if(res.status==200){
				var data = res.data
				console.log(data)
				data.followupDate = data.followupDate?data.followupDate.substr(0,16):''
				vm.queryData = data
				console.log(vm.queryData.followupDate)
				window.localStorage.setItem('serveFollowupDate',JSON.stringify(data));//储存数据，后续页面需要调用
				
//			  	recordAPI.getFollowUpDoc({
//			  		patient: data.patientCode
//			  	}).then(function(res) {
//			  		if(res.status == 200) {
//			  			var data = res.data
//			  			vm.options = data.list
//			  		} else {
//			  			//				toastr.error(res.msg)
//			  		}
//			  	})
			}else{
//				toastr.error(res.msg)
			}	
		})
	  	//随访状态
//	  	recordAPI.getFollowUpStatue({ name: 'FOLLOWUP_MANAGER_STATUS' }).then(function(res) {
//	  		if(res.status == 200) {
//	  			vm.options_statue = res.list
//	  		} else {
//	  			//toastr.error(res.msg)
//	  		}
//	  	})
	}
})

